| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csFog Struct Reference
[Crystal Space 3D Engine]

Sector fog structure. More...

`#include <iengine/sector.h>`

List of all members.

## Public Member Functions
| csFog ()
## Public Attributes
csColor | color
| Color.
float | density
| Density (for CS_FOG_MODE_EXP, CS_FOG_MODE_EXP2, CS_FOG_MODE_CRYSTALSPACE).
float | end
| Fog fade end distance (for CS_FOG_MODE_LINEAR).
csFogMode | mode
| Fog mode.
float | start
| Fog fade start distance (for CS_FOG_MODE_LINEAR).

## Detailed Description

Sector fog structure.

Definition at line 70 of file sector.h.

## Member Data Documentation

csColor csFog::color

Color.

Definition at line 75 of file sector.h.

float csFog::density

Density (for CS_FOG_MODE_EXP, CS_FOG_MODE_EXP2, CS_FOG_MODE_CRYSTALSPACE).

Definition at line 73 of file sector.h.

float csFog::end

Fog fade end distance (for CS_FOG_MODE_LINEAR).

Definition at line 79 of file sector.h.

csFogMode csFog::mode

Fog mode.

Definition at line 81 of file sector.h.

float csFog::start

Fog fade start distance (for CS_FOG_MODE_LINEAR).

Definition at line 77 of file sector.h.

The documentation for this struct was generated from the following file:

- iengine/sector.h